FROM openjdk:8-jre-alpine
WORKDIR /myapp
RUN echo "service version: 123" >> /version.info
EXPOSE 8070
ENV DB_NAME h2
ENV JAVA_OPTS "-Xms64m -Xmx128m -Djava.security.egd=file:/dev/./urandom"
COPY target/assignment-*.jar /myapp/app.jar
CMD cat /version.info && java $JAVA_OPTS  -Dserver.port=8070 -Dspring.profiles.active=$DB_NAME -jar app.jar

